# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'async-messaging/version'

Gem::Specification.new do |spec|
  spec.name          = "async-messaging"
  spec.version       = Async::Messaging::VERSION
  spec.authors       = ["Dennis Blommesteijn"]
  spec.email         = ["dennis@blommesteijn.com"]
  spec.summary       = %q{User Messaging Async calls, compatible with Mongoid (Ruby on Rails) gem}
  spec.description   = %q{User Messaging Async calls, compatible with Mongoid (Ruby on Rails) gem}
  spec.homepage      = "https://github.com/dblommesteijn/async-messaging"
  spec.license       = "LGPLv3"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency 'mongoid', ['>= 3.0', '< 5']

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake"
end
